/***************************************************************************
* Timer.h                                                                  *
*                                                                          *
* Basic clock utilities.                                                   *
*                                                                          *
*   HISTORY                                                                *
*      Name    Date        Description                                     *
*                                                                          *
*      arvo    04/02/95   Initial implementation.
*                                                                          *
*--------------------------------------------------------------------------*
* Copyright (C) 1999, James Arvo                                           *
*                                                                          *
* This program is free software; you can redistribute it and/or modify it  *
* under the terms of the GNU General Public License as published by the    *
* Free Software Foundation.  See http://www.fsf.org/copyleft/gpl.html	   *
*																		   *
* This program is distributed in the hope that it will be useful, but	   *
* WITHOUT EXPRESS OR IMPLIED WARRANTY of merchantability or fitness for    *
* any particular purpose.  See the GNU General Public License for more	   *
* details.																   *
*																		   *
***************************************************************************/
#ifndef __TIMER_INCLUDED__
#define __TIMER_INCLUDED__

#include <time.h>	// R.Z. March 4, 2002: clock function was missing.

class Timer
{
public:
	Timer();
	~Timer();
	void Start();
	float SecondsElapsed() const;
	float MillisecondsElapsed() const;
	static void Sleep( float sec );

private:
	clock_t start;
};

#endif
